**`Chandrashekhar`[NAME]** D H -NL- Email: **`chandra.dh.shekhar@gmail.com`[EMAILS_EMAIL]** -NL- Mobile:**` +91 8197612960`[PHONES_PHONE]** -NL- **`Summary`[SUMMARY_HEADING]** -NL- ➢ 7+ years experience in Networking, Datacom testing (L2/L3 Protocol testing) and worked in Python -NL- automation which is products of Nokia and Cisco. -NL- ➢ Seeking a challenging opportunity as Test/QA Engineer (Software) where I can utilize my technical -NL- skills and learn new things. -NL- **`Professional Summary`[SUMMARY_HEADING]** -NL- ➢ Expertise in L2/L3 Protocols testing. -NL- ➢ Good understanding in Software Test Life Cycle to develop testcases and till the closure. -NL- ➢ Exposure across Functional, Integration and System testing. -NL- ➢ Expertise in manual testing and automated testing using Python (PYATS and Pytest framework). -NL- ➢ Good exposure in Linux and Jenkins. -NL- ➢ Capable of troubleshooting issues on customer setups. -NL- ➢ Collaborate with teams across geographies. -NL- ➢ Working closely with Customer/Accounts/Support/Escalation teams to enable customer deployments. -NL- ➢ Good understanding in L2/L3 security protocols like IPSec. -NL- **`Work Summary`[OTHERS_HEADING]** -NL- 1 Years 7 Months -NL- **`Testing Specialist`[EMPLOYER_ROLE]**, **`Mindtree Ltd`[EMPLOYER_COMPANY_NAME]**, Bengaluru -NL- Project: Cisco-Rosco(NCS1K) -NL- • Worked on module which transmits and receives information from/to the Datacenter and it -NL- supports 10G,40G,100G and multiplex into WDM interface running at 100,200G or 250G. -NL- • Rosco is a Transponder/Muxponder device which has 4 slices and each slice supports 5 client -NL- ports and 2 Trunk ports to transmission of traffic. -NL- • Involved in executing the existing feature test scripts. -NL- • Involved in automating the new features like AINS, PM counters, PRBS etc and fixing -NL- existing script issues (autons) using Python (PYATS Framework). -NL- • Was very quick in understanding the new features and automating the features. -NL- • Good experience in Agile methodology. -NL- Project: Cisco-RSP4(NCS560) -NL- • Worked in RSP4 transport module where it transmits/receives data from/to the access -NL- network. -NL- • Good experience in Switching and Routing. -NL- • Good expertise in L2/L3 Protocols such as VLAN, OSPF, STP, RSTP, IPSEC, BFD etc. -NL- • Design and planning of Lab setup for testing. -NL- • Simulation of Customer defects in lab environment. -NL- • Involved in fixing the script issues and executing the test scripts. -NL- • Simulation of Customer defects in lab environment. -NL- 5 Years 8 Months -NL- **`Senior Software Engineer`[EMPLOYER_ROLE]**, **`Wipro Technologies`[EMPLOYER_COMPANY_NAME]**, Bengaluru -NL- Project: Nokia-FTM -NL- • Worked in Transport module of Nokia WCDMA (3G) BTS which supports transmission of -NL- Voice and Data traffic. -NL- • Flexi Transport module is a transmission sub-module that provides the physical IuB interface -NL- towards the Radio Network Controller (RNC). The IuB interface towards RNC shall be -NL- Ethernet, -NL- • Involved in New features testing by writing Test Plan, test cases, simulating setups in Lab -NL- environment and executing the testcases. -NL- • Tested ospf, STP, RSTP, VLAN, TCP/UDP, IPSEC, Ethernet OAM etc features. -NL- • Bug reporting and tracking of bugs and generation of test reports. -NL- • Simulation of Customer defects in lab environment. -NL- • Worked in automating the features using Python. -NL- • Good exposure in Jenkins. -NL- • Good exposure in Linux. -NL- **`Technical Proficiency`[SKILLS_HEADING]** -NL- L2/L3 Protocols : STP, RSTP, VLAN, BFD, OSPF, IPSec, TCP/UDP, Switching and Routing etc. -NL- Other Protocols : Ethernet OAM, TWAMP, LDAP, CMP etc -NL- Scripting Languages : Python -NL- Operating Systems : WINDOWS(X), LINUX -NL- VPN and Tunneling Technologies : IPSec -NL- Traffic Tester : IXIA, Spirent, Router Tester -NL- Project Specific tool : Wireshark, Communication tester (IKON), HP Quality center, Bugzilla, Jira -NL- Testing tools : Top master, Attrica, ANT20, AXC, Oscilloscope, CAFY, Git etc.. -NL- Security GW and simulators : Strongswan 4.x and 5.x and Quagga -NL- Routers : Cisco 7200, NCS560, Cisco2960 -NL- OSS, NMS tools : OMS -NL- Test Practice : Agile, Six sigma and Lean -NL- Achievements: -NL- ➢ Received “Shining Star” and Excellence award” -NL- **`Educational summary:`[EDUCATION_HEADING]** -NL- ➢ Passed **`M.Tech`[EDUCATION_DEGREE]** in **`Software Engineering`[EDUCATION_COURSE]**, WILP from BITS Pilani University with CGPA 6.87. [Wipro -NL- Academy of Software Excellence(WASE) Program] -NL- ➢ Passed **`B.Sc`[EDUCATION_DEGREE]**. in **`Computer Science`[EDUCATION_COURSE]** at **`Tumkur University`[EDUCATION_INSTITUTE]** in July 2011 with 86% aggregate. -NL- 